@echo off
rem ###########################################################################
rem Copyright (C) 2008 EnterpriseDB Corporation.
rem 
rem
rem gs-agent.bat 
rem
rem Starts an GridSQL agent process
rem
rem ###########################################################################


set GSCONFIG=%GSPATH%\config\gridsql_agent.config

set EXECCLASS=com.edb.gridsql.util.XdbAgent


rem  Adjust these if more memory is required

set MINMEMORY=128M
set MAXMEMORY=128M

java -classpath %GSPATH%\bin\xdbutil.jar;%GSPATH%\bin\xdbengine.jar;%GSPATH%\lib\edb-jdbc14.jar;%GSPATH%\lib\log4j.jar;%CLASSPATH% -Xms%MINMEMORY% -Xmx%MAXMEMORY% -Dconfig.file.path=%GSCONFIG% %EXECCLASS% %*%

